Debian Bug report logs - #328667
RM: rx320 -- RoQA; unused, out of date

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de>

Date: Fri, 16 Sep 2005 16:48:43 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, bottoms@debian.org (A. Maitland Bottoms):
Bug#328667; Package rx320. Full text and rfc822 format available.

Acknowledgement sent to Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de>:
New Bug report received and forwarded. Copy sent to bottoms@debian.org (A. Maitland Bottoms). Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de>
To: submit@bugs.debian.org
Subject: very old package, should this be removed?
Date: Fri, 16 Sep 2005 18:42:56 +0200
Package: rx320
Version: 1.0-2
Severity: serious

Hi,

During the Debian QA meeting hold during Sept. 09th till 11th, we
decided that looking at packages that haven't been uploaded for a very
long time could cover up some QA problems.

I've done this now and your package showed up on the list. I propose
to remove it.
There are almost no users and the package is out of date wrt to Debian's
policies.

This usually means that your package matched some of the following
criteria:

 [1] Your packages has not had a maintainer upload for more than
     three years.

 [2] has one or more RC bugs with no answer from the maintainer (**)

 [3] the state of your packages in general seems to indicate that you
     might be MIA 

 [4] (if we propose a removal) it shows in popcon as having less than
     100 users with the package installed.

 [5] the package was not released with sarge

and at least ([1] and ( [2] or [3] or [4] or [5] )) was true.

(**) The maintainer not answering to RC bugs refers to bugs filed
more than one month before the time the check was performed.

After 7 days without answer from you (the maintainer) we will reassign
this bug to either WNPP (in case we propose to orphan it) or
ftp.debian.org (in case we propose to remove it).

The package will need an upload or an explanation for this action not to
proceed.

Please do *not* upload a package just to get off this list - it won't
help the package at all. Maintainers should be responsive and feel
responsible for their packages without needing other people to force
them to do work. Sometimes, finding a new maintainer or even removing
the package completly from the archive is better for Debian's users. 

Thanks!

Marc




Bug reassigned from package `rx320' to `ftp.debian.org'. Request was from Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `normal'. Request was from Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Jeroen van Wolffelaar <jeroen@wolffelaar.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#328667; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to "A. Maitland Bottoms" <bottoms@debian.org>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #18 received at 328667@bugs.debian.org (full text, mbox):

From: "A. Maitland Bottoms" <bottoms@debian.org>
To: 328667@bugs.debian.org
Cc: debian-hams@lists.debian.org, hamlib-developer@lists.sourceforge.net
Subject: Bug#328667: very old package, should this be removed?
Date: Sun, 9 Oct 2005 22:55:52 -0400
So I finally had some time to listen to my RX-320...
I used the rx320 program, and rigctl, grig and
sgcontrol hamlib programs.

The rx320 program allows more precise control than
the hamlib setup. I'd feel better about removing it
if the quality of hamlib improves...

The main shortcoming with hamlib is setting the
filter bandwidth. (The radio has 34 settings)

The rx320 program may be old, but it still works.

For you debian-hams types, feel free to add your
comments to Bug#328667.

For hamlib-developers, grab the rx320 source from the
Debian archive while you still can and let's use it
to improve hamlib support for this radio.

-Maitland



Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #23 received at 328667-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 328667-close@bugs.debian.org
Cc: rx320@packages.debian.org, rx320@packages.qa.debian.org
Subject: Bug#328667: fixed
Date: Thu, 27 Oct 2005 15:35:28 -0700
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

     rx320 |      1.0-2 | source, alpha, arm, hppa, hurd-i386, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 328667@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Joerg Jaspert (the ftpmaster behind the curtain)



Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#328667; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Stephane Fillod <f8cfe@free.fr>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #28 received at 328667@bugs.debian.org (full text, mbox):

From: Stephane Fillod <f8cfe@free.fr>
To: "A. Maitland Bottoms" <bottoms@debian.org>
Cc: 328667@bugs.debian.org, debian-hams@lists.debian.org, hamlib-developer@lists.sourceforge.net
Subject: Re: [Hamlib-developer] Bug#328667: very old package, should this be removed?
Date: Mon, 16 Jan 2006 22:46:37 +0100
Hi Maitland,

I have checked-in into the CVS Hamlib repository a patch by Ken Prox
related to the RX-320. Did it improved the situation for you? 
Patches are always welcome. I don't have much time to peruse 
the rx320 program sources, but I would be very happy if a
RX-320 owner would do it, and use pieces to improve Hamlib
as you suggested.

Thanks
-- 
Stephane - F8CFE

On Sun, Oct 09, 2005 at 10:55:52PM -0400, A. Maitland Bottoms wrote:
> So I finally had some time to listen to my RX-320...
> I used the rx320 program, and rigctl, grig and
> sgcontrol hamlib programs.
> 
> The rx320 program allows more precise control than
> the hamlib setup. I'd feel better about removing it
> if the quality of hamlib improves...
> 
> The main shortcoming with hamlib is setting the
> filter bandwidth. (The radio has 34 settings)
> 
> The rx320 program may be old, but it still works.
> 
> For you debian-hams types, feel free to add your
> comments to Bug#328667.
> 
> For hamlib-developers, grab the rx320 source from the
> Debian archive while you still can and let's use it
> to improve hamlib support for this radio.
> 
> -Maitland



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 14:16:58 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 16:00:31 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.